<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="35" short-name="high-score" url="https://polygon.codeforces.com/p7XySbc/tourist/high-score">
    <names>
        <name language="english" value="High Score"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>70</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="gen_range --k 6 --from 4 --count 5 --step 4 --seeds simple yes tests" method="generated"/>
                <test cmd="gen_range --k 6 --from 1 --count 9 --step 1 --seeds simple tests" method="generated"/>
                <test cmd="gen_range --k 6 --from 1 --count 20 --step 2 --seeds simple no tests" method="generated"/>
                <test cmd="gen_range --k 6 --from 2 --count 20 --step 4 --seeds simple no tests" method="generated"/>
                <test cmd="gen_range --k 2 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 3 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 4 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 5 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 6 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 7 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 8 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 9 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 10 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 11 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 12 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 13 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 14 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 15 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 16 --from 1 --count 10000 --step 1 --seeds all reasonable scores" method="generated"/>
                <test cmd="gen_range --k 9 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 10 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 11 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 12 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 13 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 14 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 15 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 16 --from 10004 --count 10000 --step 4 --seeds next reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 11 --from 50004 --count 10000 --step 4 --seeds and more reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 12 --from 50004 --count 10000 --step 4 --seeds and more reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 13 --from 50004 --count 10000 --step 4 --seeds and more reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 14 --from 50004 --count 10000 --step 4 --seeds and more reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 15 --from 50004 --count 10000 --step 4 --seeds and more reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 16 --from 50004 --count 10000 --step 4 --seeds and more reasonable yes tests" method="generated"/>
                <test cmd="gen_range --k 13 --from 50000 --count 10000 --step 2676 --seeds some a-la random yes tests" method="generated"/>
                <test cmd="gen_range --k 13 --from 50000 --count 10000 --step 1675 --seeds some a-la random tests" method="generated"/>
                <test cmd="gen_range --k 14 --from 50000 --count 10000 --step 2676 --seeds some a-la random yes tests" method="generated"/>
                <test cmd="gen_range --k 14 --from 50000 --count 10000 --step 1675 --seeds some a-la random tests" method="generated"/>
                <test cmd="gen_range --k 15 --from 50000 --count 10000 --step 2676 --seeds some a-la random yes tests" method="generated"/>
                <test cmd="gen_range --k 15 --from 50000 --count 10000 --step 1675 --seeds some a-la random tests" method="generated"/>
                <test cmd="gen_range --k 16 --from 50000 --count 10000 --step 2676 --seeds some a-la random yes tests" method="generated"/>
                <test cmd="gen_range --k 16 --from 50000 --count 10000 --step 1675 --seeds some a-la random tests" method="generated"/>
                <test cmd="gen_range --k 12 --from 100180 --count 10000 --step 16 --seeds around max possible score" method="generated"/>
                <test cmd="gen_range --k 13 --from 313168 --count 10000 --step 16 --seeds around max possible score" method="generated"/>
                <test cmd="gen_range --k 14 --from 771916 --count 10000 --step 16 --seeds around max possible score" method="generated"/>
                <test cmd="gen_range --k 15 --from 1754952 --count 10000 --step 16 --seeds around max possible score" method="generated"/>
                <test cmd="gen_range --k 16 --from 3852100 --count 10000 --step 16 --seeds around max possible score" method="generated"/>
                <test cmd="gen_range --k 14 --from 1000000000 --count 10000 --step -1 --seeds max tests" method="generated"/>
                <test cmd="gen_range --k 14 --from 1000000000 --count 10000 --step -4 --seeds max fake-yes tests" method="generated"/>
                <test cmd="gen_range --k 15 --from 1000000000 --count 10000 --step -1 --seeds max tests" method="generated"/>
                <test cmd="gen_range --k 15 --from 1000000000 --count 10000 --step -4 --seeds max fake-yes tests" method="generated"/>
                <test cmd="gen_range --k 16 --from 1000000000 --count 10000 --step -1 --seeds max tests" method="generated"/>
                <test cmd="gen_range --k 16 --from 1000000000 --count 10000 --step -4 --seeds max fake-yes tests" method="generated"/>
                <test cmd="gen_corner_cases --k 2" method="generated"/>
                <test cmd="gen_corner_cases --k 3" method="generated"/>
                <test cmd="gen_corner_cases --k 4" method="generated"/>
                <test cmd="gen_corner_cases --k 5" method="generated"/>
                <test cmd="gen_corner_cases --k 6" method="generated"/>
                <test cmd="gen_corner_cases --k 7" method="generated"/>
                <test cmd="gen_corner_cases --k 8" method="generated"/>
                <test cmd="gen_corner_cases --k 9" method="generated"/>
                <test cmd="gen_corner_cases --k 10" method="generated"/>
                <test cmd="gen_corner_cases --k 11" method="generated"/>
                <test cmd="gen_corner_cases --k 12" method="generated"/>
                <test cmd="gen_corner_cases --k 13" method="generated"/>
                <test cmd="gen_corner_cases --k 14" method="generated"/>
                <test cmd="gen_corner_cases --k 15" method="generated"/>
                <test cmd="gen_corner_cases --k 16" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/dy_checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/dy_checker.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/dy_validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/dy_validator.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_corner_cases.py" type="python.3"/>
                <binary path="files/gen_corner_cases.pys3" type="pythonx.3"/>
            </executable>
            <executable>
                <source path="files/gen_range.py" type="python.3"/>
                <binary path="files/gen_range.pys3" type="pythonx.3"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/dy_checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <testset>
                <test-count>14</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="ok"/>
                    <test verdict="ok"/>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="presentation-error"/>
                    <test verdict="crashed"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="ok"/>
                    <test verdict="ok"/>
                    <test verdict="ok"/>
                </tests>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/dy_validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/dy_validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>9</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/347942685_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347942685_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/347997249_shevlopmes_RomkaRS_artem3605_wa9.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347997249_shevlopmes_RomkaRS_artem3605_wa9.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348001698_shevlopmes_RomkaRS_artem3605_wa8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348001698_shevlopmes_RomkaRS_artem3605_wa8.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348024221_RomkaRS_wa8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348024221_RomkaRS_wa8.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348024741_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348024741_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348026195_RomkaRS_rt8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348026195_RomkaRS_rt8.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348145393_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348145393_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-memory-limit-exceeded">
                <source path="solutions/dy_cpp_solution_brute.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/dy_cpp_solution_brute.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/dy_go_solution.go" type="go"/>
                <binary path="solutions/dy_go_solution.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/dy_go_solution_wa.go" type="go"/>
                <binary path="solutions/dy_go_solution_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/dy_solution.py" type="python.3"/>
                <binary path="solutions/dy_solution.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="time-limit-exceeded-or-memory-limit-exceeded">
                <source path="solutions/dy_solution_brute.py" type="python.3"/>
                <binary path="solutions/dy_solution_brute.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="2048"/>
    </tags>
</problem>
